Bug 1671934

Summary: CONFIG_W1_MASTER_GPIO not set in aarch64 config, enabled as module in armv7hl config
Product: [Fedora] Fedora Reporter: steubens
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 29CC: airlied, bskeggs, hdegoede, ichavero, itamar, jarodwilson, jcline, jeremy, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, steved
Target Milestone: ---   
Target Release: ---   
Hardware: aarch64   
OS: Unspecified   
Whiteboard:
Fixed In Version: kernel-5.0.5-200.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-02 02:14:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description steubens 2019-02-02 07:12:44 UTC
hello

in the armv7hl config, CONFIG_W1_MASTER_GPIO=m
in the aarch64 config, CONFIG_W1_MASTER_GPIO is unset

the matter of fact result from what i was doing, is that on the raspberry pi 2, fedora arm spin, the w1 module is there, and on the 3 that's built for efi/aarch64 it's missing

don't know proper channels but i'd like for the module to be in the aarch64 config!

thanks

Comment 1 Jeremy Cline 2019-03-25 16:10:24 UTC
Hi,

Sorry for the slow response, I've enabled this on aarch64 in Rawhide. It'll be in the tomorrow's Rawhide build (5.1.0-rc2.git1.1). It'll also be in the next stable kernel builds (v5.0.5) whenever that comes out.

Comment 2 Fedora Update System 2019-03-28 13:24:13 UTC
kernel-5.0.5-200.fc29 kernel-headers-5.0.5-200.fc29 kernel-tools-5.0.5-200.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-adecec7468

Comment 3 Fedora Update System 2019-03-29 04:15:59 UTC
kernel-5.0.5-200.fc29, kernel-headers-5.0.5-200.fc29, kernel-tools-5.0.5-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-adecec7468

Comment 4 Fedora Update System 2019-04-02 02:14:16 UTC
kernel-5.0.5-200.fc29, kernel-headers-5.0.5-200.fc29, kernel-tools-5.0.5-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.